<?php
    // HEADERS
    header('Access-Control-Allow-Origin: *');
    header('Content-Type: application/json');
header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');
if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    include_once '../../config/Database.php';
    include_once '../../models/Movimentacao.php';

    // INSTANTIATE DB AND CONNECT
    $database = new Database();
    $db = $database->connect();

    // INSTANTIATE POST OBJECT
    $movimentacao = new Movimentacao($db);

    // GET ID
    $movimentacao->id = isset($_GET['id']) ? $_GET['id'] : die();

    // GET POST
    $movimentacao->read_single();

    // CREATE ARRAY
    $movimentacao_arr = array(
        'id' => $movimentacao->id,
        'movimentacaoTipo' => $movimentacao->movimentacaoTipo,
        'movimentacaoResponsavel' => $movimentacao->movimentacaoResponsavel,
        'movimentacaoDD' => $movimentacao->movimentacaoDD,
        'movimentacaoOS' => $movimentacao->movimentacaoOS,
        'movimentacaoMotivo' => $movimentacao->movimentacaoMotivo,
        'movimentacaoObservacao' => $movimentacao->movimentacaoObservacao,
        'movimentacaoData' => $movimentacao->movimentacaoData,
        'movimentacaoidProduto' => $movimentacao->movimentacaoidProduto,
        'movimentacaoQuantidadeProduto' => $movimentacao->movimentacaoQuantidadeProduto,
        'movimentacaoFilter' => $movimentacao->movimentacaoFilter,
        'movimentacaoUnidadeCliente' => $movimentacao->movimentacaoUnidadeCliente,
        'movimentacaoNomeCliente' => $movimentacao->movimentacaoNomeCliente,
        'movimentacaoAtendimento' => $movimentacao->movimentacaoAtendimento,
        'movimentacaoTeste' => $movimentacao->movimentacaoTeste,
        'movimentacaoEmprestimo' => $movimentacao->movimentacaoEmprestimo,
        'movimentacaoStatus' => $movimentacao->movimentacaoStatus,
        'movimentacaoSaldoEstoque' => $movimentacao->movimentacaoSaldoEstoque
        
    );

    // MAKE JSON
    print_r(json_encode($movimentacao_arr));
}